> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all unit-of-measure sets

> Lists all unit-of-measure sets. NOTE: QuickBooks Desktop does not support pagination for unit-of-measure sets; hence, there is no cursor parameter. Users typically have few unit-of-measure sets.

NOTE: The QuickBooks company file must have unit-of-measure enabled (either a single unit per item or multiple units per item).



## OpenAPI

````yaml GET /quickbooks-desktop/unit-of-measure-sets
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/unit-of-measure-sets:
    get:
      summary: List all unit-of-measure sets
      description: >-
        Lists all unit-of-measure sets. NOTE: QuickBooks Desktop does not
        support pagination for unit-of-measure sets; hence, there is no cursor
        parameter. Users typically have few unit-of-measure sets.


        NOTE: The QuickBooks company file must have unit-of-measure enabled
        (either a single unit per item or multiple units per item).
      parameters:
        - in: query
          name: ids
          description: >-
            Filter for specific unit-of-measure sets by their
            QuickBooks-assigned unique identifier(s).


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter for specific unit-of-measure sets by their
              QuickBooks-assigned unique identifier(s).


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - 80000001-1234567890
        - in: query
          name: names
          description: >-
            Filter for specific unit-of-measure sets by their name(s),
            case-insensitive. Like `id`, `name` is a unique identifier for an
            unit-of-measure set.


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter for specific unit-of-measure sets by their name(s),
              case-insensitive. Like `id`, `name` is a unique identifier for an
              unit-of-measure set.


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - Weight Units
        - in: query
          name: limit
          description: >-
            The maximum number of objects to return.


            **IMPORTANT**: QuickBooks Desktop does not support cursor-based
            pagination for unit-of-measure sets. This parameter will limit the
            response size, but you cannot fetch subsequent results using a
            cursor. For pagination, use the name-range parameters instead (e.g.,
            `nameFrom=A&nameTo=B`).


            When this parameter is omitted, the endpoint returns all
            unit-of-measure sets without limit, unlike paginated endpoints which
            default to 150 records. This is acceptable because unit-of-measure
            sets typically have low record counts.
          schema:
            type: integer
            minimum: 1
            description: >-
              The maximum number of objects to return.


              **IMPORTANT**: QuickBooks Desktop does not support cursor-based
              pagination for unit-of-measure sets. This parameter will limit the
              response size, but you cannot fetch subsequent results using a
              cursor. For pagination, use the name-range parameters instead
              (e.g., `nameFrom=A&nameTo=B`).


              When this parameter is omitted, the endpoint returns all
              unit-of-measure sets without limit, unlike paginated endpoints
              which default to 150 records. This is acceptable because
              unit-of-measure sets typically have low record counts.
            example: 10
        - in: query
          name: status
          description: Filter for unit-of-measure sets that are active, inactive, or both.
          schema:
            type: string
            enum:
              - active
              - all
              - inactive
            default: active
            description: >-
              Filter for unit-of-measure sets that are active, inactive, or
              both.
            example: active
        - in: query
          name: updatedAfter
          description: >-
            Filter for unit-of-measure sets updated on or after this date/time.
            Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **start of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T00:00:00`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets updated on or after this
              date/time. Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **start of the specified day** in the local timezone
              of the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T00:00:00`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-01-01T12:34:56.000Z'
        - in: query
          name: updatedBefore
          description: >-
            Filter for unit-of-measure sets updated on or before this date/time.
            Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **end of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T23:59:59`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets updated on or before this
              date/time. Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **end of the specified day** in the local timezone of
              the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T23:59:59`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-02-01T12:34:56.000Z'
        - in: query
          name: nameContains
          description: >-
            Filter for unit-of-measure sets whose `name` contains this
            substring, case-insensitive.


            **NOTE**: If you use this parameter, you cannot also use
            `nameStartsWith` or `nameEndsWith`.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets whose `name` contains this
              substring, case-insensitive.


              **NOTE**: If you use this parameter, you cannot also use
              `nameStartsWith` or `nameEndsWith`.
            example: ABC
        - in: query
          name: nameStartsWith
          description: >-
            Filter for unit-of-measure sets whose `name` starts with this
            substring, case-insensitive.


            **NOTE**: If you use this parameter, you cannot also use
            `nameContains` or `nameEndsWith`.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets whose `name` starts with this
              substring, case-insensitive.


              **NOTE**: If you use this parameter, you cannot also use
              `nameContains` or `nameEndsWith`.
            example: ABC
        - in: query
          name: nameEndsWith
          description: >-
            Filter for unit-of-measure sets whose `name` ends with this
            substring, case-insensitive.


            **NOTE**: If you use this parameter, you cannot also use
            `nameContains` or `nameStartsWith`.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets whose `name` ends with this
              substring, case-insensitive.


              **NOTE**: If you use this parameter, you cannot also use
              `nameContains` or `nameStartsWith`.
            example: ABC
        - in: query
          name: nameFrom
          description: >-
            Filter for unit-of-measure sets whose `name` is alphabetically
            greater than or equal to this value.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets whose `name` is alphabetically
              greater than or equal to this value.
            example: A
        - in: query
          name: nameTo
          description: >-
            Filter for unit-of-measure sets whose `name` is alphabetically less
            than or equal to this value.
          schema:
            type: string
            description: >-
              Filter for unit-of-measure sets whose `name` is alphabetically
              less than or equal to this value.
            example: Z
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns a list of unit-of-measure sets.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    type: string
                    const: list
                    description: The type of object. This value is always `"list"`.
                    example: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/unit-of-measure-sets
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_unit_of_measure_set'
                    description: The array of unit-of-measure sets.
                required:
                  - objectType
                  - url
                  - data
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const unitOfMeasureSets = await
            conductor.qbd.unitOfMeasureSets.list({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(unitOfMeasureSets.data);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            unit_of_measure_sets = conductor.qbd.unit_of_measure_sets.list(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(unit_of_measure_sets.data)
components:
  schemas:
    qbd_unit_of_measure_set:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this unit-of-measure
            set. This ID is unique across all unit-of-measure sets but not
            across different QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_unit_of_measure_set
          description: >-
            The type of object. This value is always
            `"qbd_unit_of_measure_set"`.
          example: qbd_unit_of_measure_set
        createdAt:
          type: string
          description: >-
            The date and time when this unit-of-measure set was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this unit-of-measure set was last updated, in
            ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks
            Desktop interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this
            unit-of-measure set object, which changes each time the object is
            modified. When updating this object, you must provide the most
            recent `revisionNumber` to ensure you're working with the latest
            data; otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this unit-of-measure set, unique
            across all unit-of-measure sets. To ensure this set appears in the
            QuickBooks UI for companies configured with a single unit per item,
            prefix the name with "By the" (e.g., "By the Barrel").


            **NOTE**: Unit-of-measure sets do not have a `fullName` field
            because they are not hierarchical objects, which is why `name` is
            unique for them but not for objects that have parents.
          example: Weight Units
        isActive:
          type: boolean
          description: >-
            Indicates whether this unit-of-measure set is active. Inactive
            objects are typically hidden from views and reports in QuickBooks.
            Defaults to `true`.
          example: true
        unitOfMeasureType:
          type: string
          enum:
            - area
            - count
            - length
            - other
            - time
            - volume
            - weight
          description: >-
            The unit-of-measure set's type. Use "other" for a custom type
            defined in QuickBooks.
          example: count
        baseUnit:
          type: object
          properties:
            name:
              type: string
              description: >-
                The case-insensitive unique name of this base unit, unique
                across all base units.


                **NOTE**: Base units do not have a `fullName` field because they
                are not hierarchical objects, which is why `name` is unique for
                them but not for objects that have parents.
              example: Each
            abbreviation:
              type: string
              description: >-
                The base unit's short identifier shown in the QuickBooks U/M
                field on transaction line items.
              example: ea
          required:
            - name
            - abbreviation
          additionalProperties: false
          title: The Base Unit object
          x-conductor-object-type: nested
          description: >-
            The unit-of-measure set's base unit used to track and price item
            quantities. If the company file is enabled for a single unit of
            measure per item, the base unit is the only unit available on
            transaction line items. If enabled for multiple units per item, the
            base unit is the default unless overridden by the set's default
            units.
        relatedUnits:
          type: array
          items:
            $ref: '#/components/schemas/qbd_related_unit'
          description: >-
            The unit-of-measure set's related units, each specifying how many
            base units they represent (conversion ratio).
        defaultUnits:
          type: array
          items:
            $ref: '#/components/schemas/qbd_default_unit'
          description: >-
            The unit-of-measure set's default units to appear in the U/M field
            on transaction line items. You can specify separate defaults for
            purchases, sales, and shipping.
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - isActive
        - unitOfMeasureType
        - baseUnit
        - relatedUnits
        - defaultUnits
      additionalProperties: false
      title: The Unit-Of-Measure Set object
      x-conductor-object-type: other
      summary: >-
        A unit-of-measure set (UOM set) defines a base unit and optional related
        units with conversion ratios, plus optional defaults for purchases,
        sales, and shipping.


        NOTE: The QuickBooks company file must have unit-of-measure enabled
        (either a single unit per item or multiple units per item).
    qbd_related_unit:
      type: object
      properties:
        name:
          type: string
          description: >-
            The case-insensitive unique name of this related unit, unique across
            all related units.


            **NOTE**: Related units do not have a `fullName` field because they
            are not hierarchical objects, which is why `name` is unique for them
            but not for objects that have parents.
          example: Case
        abbreviation:
          type: string
          description: >-
            The related unit's short identifier shown in the QuickBooks U/M
            field on transaction line items.
          example: ea
        conversionRatio:
          type: string
          description: >-
            The number of base units in this related unit, represented as a
            decimal string. For example, if the base unit is "box" and this
            related unit is "case" with `conversionRatio` = "10", that means
            there are 10 boxes in one case.
          example: '10'
      required:
        - name
        - abbreviation
        - conversionRatio
      additionalProperties: false
      title: The Related Unit object
      x-conductor-object-type: nested
    qbd_default_unit:
      type: object
      properties:
        unitUsedFor:
          type: string
          enum:
            - purchase
            - sales
            - shipping
          description: >-
            Where this default unit is used as the default: purchase line items,
            sales line items, or shipping lines.
          example: purchase
        unit:
          type: string
          description: >-
            The unit name for this default unit, as displayed in the U/M field.
            If the company file is enabled for multiple units per item, this
            appears as an available unit for the item. Must correspond to the
            base unit or a related unit defined in this set.
          example: Each
      required:
        - unitUsedFor
        - unit
      additionalProperties: false
      title: The Default Unit object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).